### Method

# Pango Renderer get_layout

#### Declaration [src]

    PangoLayout*
    pango_renderer_get_layout (
      PangoRenderer* renderer
    )

#### Description [src]

Gets the layout currently being rendered using `renderer`.

Calling this function only makes sense from inside a subclass’s methods, like in its draw_shape vfunc, for example.

The returned layout should not be modified while still being rendered.

Available since: | 1.20

#### Return value

Returns: | `PangoLayout`
| The layout, or `NULL` if no layout is being rendered using `renderer` at this time.
| The data is owned by the instance.
| The return value can be `NULL`.